     
     
     ========================================================================
     GLOSSARY
     ========================================================================
     
          block
               A portion of the file being edited; usually highlighted.
               A block can be one of <line block>, <box block>, <word block>,
               <column block>, or <stream block>.
     
          Bottom-of-File line
               A line marker, identifying the end of the file.
     
          box block
               A type of <block>.  It is a rectangular portion of the
               <filearea>.
     
          column block
               A type of <block>.  It is similar to a <box block> except that
               a columnar portion of every line in the file is included.
     
          column target
               A method of referring to some part of a line being edited.
     
          command line
               The area of the display, usually identified by an arrow
               prompt, "====>", where THE commands are entered.
     
          current column
               The column in the <filearea>, marked by the "|" character on
               the <scale line>.
     
          current line
               The line in the <filearea>, normally highlighted, from which
               commands entered on the <command line> take effect.
     
          cursor field
               The "field" in which the cursor is currently located. This
               can be the <prefix area>, <command line> or <filearea>.
     
          filearea
               That part of the screen display where the contents of the
               file being edited are displayed.
     
          filetabs
               An optional display component that shows the names of files
               currently in the <ring>. Can be used by versions of THE that
               support mouse actions to bring the clicked file to the
               front of the <ring>
     
          focus column
               The column in the <filearea> which currently has the focus. If
               the cursor is in the <filearea>, it is the column on which the
               cursor is displayed. If the cursor is in the <command line> or
               <prefix area>, the focus column is the <current column>.
     
          focus line
               The line in the <filearea> which currently has the focus. If
               the cursor is in the <filearea> or <prefix area>, it is the line
               on which the cursor is displayed. If the cursor is on the
               <command line>, the focus line is the <current line>. All THE
               commands operate relative to the focus line.
     
          idline
               That part of the screen display which shows details about
               the file being edited.
     
          line block
               A type of <block>.  It consists of consecutive lines within
               the <filearea>.
     
          macro
               A file containing a sequence of THE commands. Macros can
               be written in <REXX> if a supported REXX interpreter is
               available.
     
               *** NOTE ***
     
               If REXX support is NOT enabled in THE, the first line of the THE
               macro file MUST contain the comment:
     
               /*NOREXX*/
     
          magic number
               A magic number is used on Un*x systems to identify the type of
               a file. It was originally used in binary files to identify the
               file, but the concept was also extended to text files;
               particularly shell scripts; to enable to shell to determine
               which interpreter should be used to execute the contents of a
               file. These magic numbers in text files are really magic "strings"
               and it is these strings that are used by the THE syntax
               highlighting feature to automatically determine the <parser> to be
               used to highlight a file.
     
          message line
               That portion of the screen used to display messages.
     
          prefix area
               That part of the screen display where prefix commands can
               be entered. It also displays the line number of each line
               in the file if <SET NUMBER> is ON.
     
          parser
               A mechanism that translates text strings into identifiable
               tokens.
     
          profile
               A <macro> file that is executed at the start of an editing
               session.
     
          relative target
               A subset of <target>, but only supports targets that are
               relative to the <focus line>, like 3, -5, *.
     
          reserved line
               A line within the <filearea> that contains user text that
               the user can define with the <SET RESERVED> command.
     
          REXX
               A powerful, easy-to-learn macro language available on most
               platforms. THE uses REXX as its macro language.
     
          ring
               The set of files currently being edited are arranged in a
               ring formation.
     
          scale line
               A line in the <filearea> showing column positions.
     
          shadow line
               A line which signifies how many lines have been excluded
               from display. See <SET SHADOW>, <SET SELECT>.
     
          status line
               That part of the screen display showing details about the
               entire THE session.
     
          stream block
               A type of <block>.  It is a stream of characters that span
               one or more consecutive lines in the <filearea>.
     
          string target
               A subset of <target> that refers to a string of characters
               enclosed between <string target delimiter>s.
     
          string target delimiter
               The character that determines the start and optional ending
               of a <string target>.  A delimiter can consist of one of the
               following characters:
                 /\@`#$%(){}[]"\<>
     
          tab line
               A line in the <filearea> which displays the currently set
               TAB stops.
     
          target
               A method of referring to some part of the file being edited.
     
          Top-of-File line
               A line marker, identifying the beginning of the file.
     
          vershift
               An internal number which defines the number of columns the
               displayed text is offset from the verify setting as a result
               of automatically scrolling horizontally, or by the use of
               the <LEFT>, <RIGHT>, or <RGTLEFT> commands.
     
          word block
               A type of <block>.  It consists of a contiguous series of
               characters that comprise a word.  A word is defined by the
               current setting of <SET WORD>.
     



     --------------------------------------------------------------------------





